@use "@experiments-labs/rise_ui/src/stylesheets/core/mixins" as m;

.gp-timeline-page {
  max-height: var(--garden-view-height);
  overflow-y: auto;
}

.gp-timeline {
  position: relative;

  &::before {
    position: absolute;
    z-index: -1;
    height: 100%;
    border-left: 3px solid var(--color-grey);
    margin-left: var(--spacer-large);
    content: '';
  }

  &__section-title {
    position: sticky;
    z-index: 1;
    padding-right: 0 var(--spacer-medium);
    text-align: center;

    &--month {
      top: 0;
      padding: var(--spacer-default) 0;
      border-top: 1px solid var(--border-color);
      border-bottom: 1px solid var(--border-color);
      margin-top: var(--spacer-medium);
      background-color: var(--component-content-background);
      font-size: var(--font-size-h6)
    }

    &--day {
      top: var(--spacer-xlarge);
      padding: var(--spacer-small) 0;
      border-top: 1px solid var(--border-color-alt);
      border-bottom: 1px solid var(--border-color-alt);
      margin-top: var(--spacer-medium);
      background-color: var(--component-content-background-alt);
      font-size: var(--font-size-base);
    }
  }
}
